<?php
/*******************************************************************************
*	This file is part of Woogle4MediaWiki
*   (http://www.mediawiki.org/wiki/Extension:Woogle4MediaWiki)
*
*	Copyright (c) 2007 - 2009 Hans-Jörg Happel and
*	FZI Forschungszentrum Informatik and der Universität Karlsruhe (TH)
*
*   Woogle4MediaWiki is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Woogle4MediaWiki is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with Woogle4MediaWiki.  If not, see <http://www.gnu.org/licenses/>.
*******************************************************************************/ 

class WoogleEntityFreq {
	private $entity;
	private $freq;
	
	/**
	 * @param 	int 		$freq
	 * @param 	'generic'	$entity
	 */
	function __construct($entity, $freq) {
		$this->entity = $entity;
		$this->freq = $freq;
	}
	
	public function getFreq() {
		return $this->freq;
	}
	
	public function setFreq($freq) {
		$this->freq = $freq;
	}

	public function getEntity() {
		return $this->entity;
	}
	
	public function setEntity($entity) {
		$this->entity = $entity;
	}
}

?>