<?php

// NOTE: MediaWiki core code needs to be included before this file!

class MockUser extends User{

	private $uname;
	private $options = array();
	
	public function __construct($uname = 'anon') {
		$this->uname = $uname;
	}

	function getName(){
		return $this->uname;
	}	
	
	function isAnon(){
		return ($this->uname == 'anon');
	}
	
	function setOption($name, $value){
		echo '[' . date('Y-m-d H:i:s') . '] ' . 'MockUser setOption: ' . $name . ' to ' . $value . "\n"; 
		$this->options[$name] = $value;
	}
	
	function getOption($name, $default){
		
		if (isset($this->options[$name])) $ret = $this->options[$name];
		if (!isset($ret)){
			$ret = $default;
		} 
		echo '[' . date('Y-m-d H:i:s') . '] ' . 'MockUser getOption: ' . $name . ' returning ' . $ret. "\n"; 
		return $ret;
	}
	
	function saveSettings(){}
	

}

?>
