<?php

require_once('Woogle_TestCase.php');

/**
 * For testing some core MediaWiki functions
 * 
 */
class WoogleMediaWikiTest extends Woogle_TestCase{

	
	/* Test methods */
	
    public function testWgRequestSetVal(){
    	global $wgRequest;
    	$val 		= md5(mt_rand());
    	$val_new	= 'buzz';
    	
    	// test initial value
    	$sessionHash = $wgRequest->getText('session', $val);
    	$this->assertEquals($val, $sessionHash);

    	// test updated value
    	$wgRequest->setVal('session', $val_new);
    	$sessionHash = $wgRequest->getText('session', $val);
    	$this->assertEquals($val_new, $sessionHash);
    
    }
}



?>
